WindowsDeviceMalwareState の更新
名前空間: microsoft.graph
大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
windowsDeviceMalwareState オブジェクトのプロパティを更新します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementConfiguration.ReadWrite.All, DeviceManagementManagedDevices.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.ReadWrite.All, DeviceManagementManagedDevices.ReadWrite.All |
HTTP 要求
PATCH /deviceManagement/deviceManagementScripts/{deviceManagementScriptId}/deviceRunStates/{deviceManagementScriptDeviceStateId}/managedDevice/windowsProtectionState/detectedMalwareState/{windowsDeviceMalwareStateId}
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で 、windowsDeviceMalwareState オブジェクトの JSON 表記を指定します。
次の表に 、windowsDeviceMalwareState を作成するときに必要なプロパティを示します。
| プロパティ | 種類 | 説明 |
|---|---|---|
| id | String | 一意の識別子。 これはマルウェア ID です。 |
| displayName | String | マルウェア名 |
| additionalInformationUrl | String | マルウェアの詳細を確認する情報 URL |
| severity | windowsMalwareSeverity | マルウェアの重大度。 可能な値は、unknown、low、moderate、high、severe です。 |
| executionState | windowsMalwareExecutionState | ブロック/実行などのマルウェアの実行状態使用できる値は unknown blocked 、、、、 allowed running です notRunning 。 |
| state | windowsMalwareState | クリーンアップ/検疫/許可などのマルウェアの現在の状態。使用できる値は unknown detected cleaned quarantined 、、、、、、、、 です removed allowed blocked cleanFailed quarantineFailed removeFailed allowFailed abandoned blockFailed 。 |
| threatState | windowsMalwareThreatState | クリーンアップ/検疫/許可などのマルウェアの現在の状態。指定できる値は active actionFailed manualStepsRequired fullScanRequired 、、、、、、、、 rebootRequired remediatedWithNonCriticalFailures quarantined removed cleaned allowed です noStatusCleared 。 |
| initialDetectionDateTime | DateTimeOffset | マルウェアの初期検出日時 |
| lastStateChangeDateTime | DateTimeOffset | この特定の脅威が最後に変更された時刻 |
| detectionCount | Int32 | マルウェアが検出された回数 |
| category | windowsMalwareCategory | マルウェアのカテゴリ。 可能な値は invalid adware 、、 です spyware passwordStealer trojanDownloader worm backdoor remoteAccessTrojan trojan emailFlooder keylogger dialer monitoringSoftware browserModifier cookie browserPlugin aolExploit nuker securityDisabler jokeProgram hostileActiveXControl softwareBundler stealthNotifier settingsModifier toolBar remoteControlSoftware trojanFtp potentialUnwantedSoftware icqExploit trojanTelnet exploit filesharingProgram malwareCreationTool remote_Control_Software tool trojanDenialOfService trojanDropper trojanMassMailer trojanMonitoringSoftware trojanProxyServer virus known unknown spp behavior vulnerability policy enterpriseUnwantedSoftware ransom hipsRule 。 |
応答
成功した場合、このメソッドは応答コードと、応答本文で 200 OK 更新された windowsDeviceMalwareState オブジェクトを返します。
例
要求
以下は、要求の例です。
PATCH https://graph.microsoft.com/beta/deviceManagement/deviceManagementScripts/{deviceManagementScriptId}/deviceRunStates/{deviceManagementScriptDeviceStateId}/managedDevice/windowsProtectionState/detectedMalwareState/{windowsDeviceMalwareStateId}
Content-type: application/json
Content-length: 484
{
"@odata.type": "#microsoft.graph.windowsDeviceMalwareState",
"displayName": "Display Name value",
"additionalInformationUrl": "https://example.com/additionalInformationUrl/",
"severity": "low",
"executionState": "blocked",
"state": "detected",
"threatState": "actionFailed",
"initialDetectionDateTime": "2016-12-31T23:57:05.3889692-08:00",
"lastStateChangeDateTime": "2016-12-31T23:59:51.0767794-08:00",
"detectionCount": 14,
"category": "adware"
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 533
{
"@odata.type": "#microsoft.graph.windowsDeviceMalwareState",
"id": "6698016c-016c-6698-6c01-98666c019866",
"displayName": "Display Name value",
"additionalInformationUrl": "https://example.com/additionalInformationUrl/",
"severity": "low",
"executionState": "blocked",
"state": "detected",
"threatState": "actionFailed",
"initialDetectionDateTime": "2016-12-31T23:57:05.3889692-08:00",
"lastStateChangeDateTime": "2016-12-31T23:59:51.0767794-08:00",
"detectionCount": 14,
"category": "adware"
}
フィードバック
フィードバックの送信と表示